@font-face {
  font-family: "Baloo2";
  src: url("/fonts/Baloo2-VariableFont_wght.ttf");
}

/* css clean up */

* {
  font-family: "Baloo2", sans-serif;
  font-weight: 300;

  box-sizing: border-box;
  margin: 0;
  padding: 0;
  text-decoration: none;

  user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;

  -webkit-user-drag: none;

  /*border: 1px solid red;*/

  word-wrap: break-word;
}

:root {
  /* colors */
  --background: #ffffff;
  --background-bg: #00100e;
  --background-layer: #002824;
  --background-layer-2: #005b50;
  --accent: #0e5c3a;
  --text: #ffffff;
  --text-drk: #ffffff;
  --layer: #a7a7a7;
  --layer-2: #6b9878;
  --layer-3: #69af9e;
  --layer-2-transparent: #03889961;
  --layer-2-transparent-2: #03889971;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  cursor: default;
}

.selection {
  user-select: text;
  -webkit-user-select: text;
  -ms-user-select: text;

  cursor: text;
}
.selection::selection {
  color: #f23317;
}

textarea {
  resize: horizontal;
}

.form-send-sucess {
  display: none;
}
.inpextra {
  position: absolute;
  top: -99rem;
  left: -99rem;
}

body {
  /* background-color: #011D26; */
  /* background-color: #001C25; */
  background-color: #00100e;
}

.bg-color {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -2;
  background-color: var(--background-bg);
}
.bg {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  height: 40rem;
  width: 100%;
  background-image: url(/images/bg.webp);
  background-size: cover;
  background-position: center 100%;
  background-repeat: no-repeat;
  mask-image: linear-gradient(
    #000 40%,
    #000000f1 47%,
    #00000017 89%,
    #00000000
  );
  opacity: 0.5;
}

.no-phone {
  display: block;
}
.no-desk {
  display: none;
}

/* components */

p {
  color: var(--background);
}
h2 {
  margin-bottom: 0.5rem;
}
h3 {
  color: var(--background);
}

main {
  display: grid;
  grid-template-columns:
    minmax(5vw, auto) minmax(50px, 455px) minmax(50px, 455px)
    minmax(5vw, auto);
}

.centered {
  grid-column: 2 / 4;
}
.full {
  grid-column: 1 / 5;
}
.right-half {
  grid-column: 3 / 4;
}

.centered video {
  margin-top: 4rem;
  width: 100%;
  border-radius: 1rem;
}

p a {
  all: inherit;
  display: inline;
  cursor: pointer;
  text-decoration: underline;
  transition: color 0.2s ease;
  text-decoration-color: #f23317;
  text-decoration-color: #ffffff;
}
p a:hover {
  color: #f23317;
  color: #1768f2;
  text-decoration-color: #1768f2;
}
p a::selection {
  text-decoration-color: #1768f2;
  color: #f23317;
  color: #1768f2;
}

.logo {
  margin: 2rem auto;
  max-width: 910px;
  width: calc(90% - 5.2rem);
  height: 12rem;
  background-image: url(/images/logo.svg);
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}
.motion-wrapper {
  display: grid;
  text-align: center;
}
.about {
  margin-top: 3rem;
  background-color: var(--layer-2-transparent);
  color: var(--background);
  backdrop-filter: blur(24px);
  padding: 2.9rem 3rem;
  border-radius: 0.2rem 0.2rem 0 0;
}

nav {
  position: sticky;
  top: 0;
  z-index: 7;
  background-color: var(--layer-2-transparent);
  backdrop-filter: blur(24px);
  border-radius: 0 0 1rem 1rem;
  overflow: hidden;
  background-color: #1bc6e4;
  box-shadow: 0 0 35px -1px #1bc6e4;
  transition: background-color 0.3s ease;
}
nav ul {
  display: flex;
  flex-wrap: wrap;
}

nav li {
  flex-grow: 1;
  min-width: 10rem;
  list-style: none;
  text-align: center;
  display: grid;
}
nav:hover {
  background-color: #001c25;
  box-shadow: 0 0 35px -1px #001c25;
}
nav li a {
  cursor: pointer;
  padding: 0.5rem;
  width: 100%;
  height: 100%;
  color: var(--background);
  font-size: 1.1rem;
}

.image-grid {
  margin-top: 5rem;
  height: 65rem;
  display: grid;
  grid-template-areas:
    "one one one two two"
    "four three three three three"
    "five five six six six"
    "eight eight eight seven seven";
  border-radius: 0.2rem;
  overflow: hidden;
  gap: 0.5rem;
}
.image-grid a {
  border-radius: 0.2rem;

  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.live-contain {
  display: flex;
  position: sticky;
  width: 100%;
  height: auto;
  bottom: 0;
  z-index: 15;
  padding: 2rem 2rem 4rem 2rem;
  pointer-events: none;
  justify-content: end;
}
.live-contain a {
  padding: 0.7rem 1.5rem;
  background: linear-gradient(#004929, #309500);
  color: var(--background);
  border-radius: 10rem;
  border: 2px solid white;
  box-shadow: 0 5px 15px -5px black;
  transition: scale 0.2s ease, filter 0.2s ease;
  text-align: center;
  pointer-events: all;
}
.live-contain a:hover {
  scale: 1.05;
  filter: grayscale(0.6);
}

.events {
  width: calc(100% - 2px);
  margin-left: 2px;
  padding: 3rem 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 3rem;
  overflow: visible;
}
.events h2 {
  width: 100%;
  color: var(--text-drk);
  margin-top: 2rem;
  font-size: 2rem;
  line-height: 0;
  margin-bottom: 0;
}

.past {
  filter: grayscale(1);
}

.event {
  /* width: 24rem; height: 15rem; */
  min-width: 20rem;
  flex-grow: 1;
  background-color: var(--background-layer);
  border-radius: 0 0 1rem 1rem;
  box-shadow: -1.5px 1.5px 0 1px var(--background-layer-2);
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: 15rem 2rem 1.7rem;
  grid-template-areas:
    "img img"
    "title sign-up"
    "location sign-up";
}
.event-image {
  grid-area: img;
  display: grid;
  background-size: cover;
  background-position: center center;
  padding: 0.6rem;
  border-radius: 0 0 1rem 1rem;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 2rem 1fr;
  grid-template-areas:
    "date registrations"
    "time .";
}

.event-title {
  grid-area: title;
  padding: 0.7rem 0.8rem 0 1rem;
  overflow: hidden;
  line-height: 1.4rem;
  font-weight: 500;
}
.event-location {
  grid-area: location;
  overflow: hidden;
  padding: 0 0.8rem 0.4rem 1rem;
  line-height: 1rem;
  opacity: 0.7;
}
.event-sign-up {
  grid-area: sign-up;
  height: 2.5rem;
  width: 6rem;
  align-self: center;
  cursor: pointer;
  justify-self: end;
  margin-right: 1rem;
  border-radius: 0.3rem;
  background: linear-gradient(#004929, #309500);
  border: 1px solid #337759;
  color: var(--background);
  padding-top: 0.1rem;
  font-size: 0.8rem;
  transition: filter 0.2s ease;
}
.event-sign-up:hover {
  filter: brightness(1.5);
}

.event-date {
  grid-area: date;
  justify-self: start;
  align-self: start;
  background-color: #038799;
  padding: 0.2rem 1rem 0.1rem 1rem;
  box-shadow: 2px 2px 0 1px var(--text);
}
.event-time {
  grid-area: time;
  justify-self: start;
  align-self: start;
  background-color: #038799;
  padding: 0.2rem 1rem 0.1rem 1rem;
  box-shadow: 2px 2px 0 1px var(--text);
}
.event-registrations {
  grid-area: registrations;
  align-self: start;
  justify-self: end;
  background-color: #038799;
  padding: 0.2rem 1rem 0.1rem 1rem;
  box-shadow: 2px 2px 0 1px var(--text);
}

.vision {
  margin: 2.5rem 0 2.5rem 0;
  background-color: var(--layer-2-transparent-2);
  color: var(--background);
  backdrop-filter: blur(24px);
  padding: 2.7rem 3rem;
  border-radius: 0.2rem;
}
.vision.start {
  margin: 7rem 0 2.5rem 0;
}
.vision.end {
  margin: 2.5rem 0 2rem 0;
}

strong {
  all: inherit;
  display: inline;
  color: #f23317;
}

.in-kurz {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin: 1rem 0 2rem 0;
}
.in-kurz > div {
  position: relative;
  flex-grow: 1;
  display: grid;
  align-items: end;
  justify-content: center;
  padding: 0.5rem 1rem;
  min-width: 6rem;
  height: auto;
  border: 1px solid white;
  border-radius: 0.5rem;
  background-color: #ffffff44;
  background-position: center 1rem;
  background-repeat: no-repeat;
  background-size: 5rem;
  pointer-events: all;
  cursor: default;
  filter: brightness(1);
  transition: filter 0.2s ease;
}
.in-kurz:hover > div {
  filter: brightness(0.65);
}
.in-kurz > div:hover {
  filter: brightness(1);
}
.in-kurz > div p {
  margin-top: 6rem;
  text-align: center;
}

.sponsors-container {
  margin: 5rem 0 3rem 0 !important;
}
.sponsors {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1rem;
}
.sponsors a {
  position: relative;
  width: 8;
  height: auto;
  display: grid;
  min-width: 10rem;
  flex-grow: 1;
  column-gap: 1.5rem;
  grid-template-columns: 8rem;
  grid-template-rows: max-content auto;
  grid-template-areas:
    "logo"
    "title";
  padding: 1rem 1.5rem 0.5rem 1.5rem;
  border: 1px solid white;
  border-radius: 0.5rem;
  pointer-events: all;
  justify-content: center;
  cursor: pointer;
  filter: brightness(1);
  transition: filter 0.2s ease;
  background-color: #ffffff44;
}
.sponsors a .company-logo {
  grid-area: logo;
  height: 6rem;
  width: auto;
  aspect-ratio: 1;
  justify-self: center;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
}
.sponsors a h3 {
  margin-top: 0.5rem;
  text-align: center;
  line-height: 2.8rem;
  font-size: 1.5rem;
}
.sponsors a div {
  color: white;
}
.sponsors:hover a {
  filter: brightness(0.65);
}
.sponsors a:hover {
  filter: brightness(1);
}

.overflow {
  position: absolute;
  width: calc(100% + 1.2rem);
  height: calc(100% + 1.2rem);
  top: -0.6rem;
  left: -0.6rem;
  /* border: 1px solid red; */
}

.bullets {
  margin: 6rem 0 2rem 0;
}

/* media-thin */

/* media-phone */

@media only screen and (max-width: 710px) {
  .no-phone {
    display: none;
  }
  .no-desk {
    display: block;
  }
  .logo {
    width: calc(100% - 5.2rem);
    background-image: url(/images/logo-up.svg);
  }
  nav ul {
    grid-template-columns: 1fr 1fr;
  }
  .under {
    grid-column: span 2;
  }

  .image-grid {
    height: 85rem;
    grid-template-areas:
      "one"
      "two"
      "three"
      "four"
      "five"
      "six"
      "seven"
      "eight";
  }
}

@media only screen and (max-width: 600px) {
  .sponsors a .company-logo {
    width: 100%;
    aspect-ratio: none;
    height: 4rem;
  }
  .sponsors a {
    width: 8rem;
    min-width: 10rem;
    grid-template-rows: 3rem max-content auto;
    row-gap: 0.8rem;
    padding-bottom: 0;
  }
  .sponsors a h3 {
    line-height: 2rem;
  }
}

@media only screen and (max-width: 480px) {
  .sponsors a .company-logo {
    height: 3rem;
  }
  .sponsors a {
    width: 6rem;
    min-width: 8rem;
    grid-template-rows: 2rem max-content auto;
    row-gap: 0.8rem;
    padding-bottom: 0;
  }
  .sponsors a h3 {
    font-size: 1.1rem;
    line-height: 1.5rem;
  }
}

/* media-thin-phone */

@media only screen and (max-width: 460px) {
  main {
    grid-template-columns: 5vw minmax(50px, 455px) minmax(50px, 455px) 5vw;
  }

  .events {
    width: 100%;
    padding: 1rem;
  }
  .event {
    min-width: 10rem;
  }
  .about {
    grid-column: 1 / 5;
  }

  main nav {
    overflow: hidden;
    grid-column: 1 / 5 !important;
  }
  .live-contain {
    grid-column: 1 / 5;
    justify-content: center;
    padding: 2rem 2rem 4rem 2rem;
    margin-bottom: 3rem;
  }
  .about {
    padding: 1.7rem 2rem;
  }

  .vision {
    padding: 1.7rem 2rem;
    margin: 5rem 0 5rem 0;
    word-break: break-word;
  }
}

@keyframes scroll-left {
  to {
    left: -14rem;
  }
}

.inf-logo-scroll {
  justify-self: center;
  position: relative;
  width: 100%;
  height: 5rem;
  margin-top: 2.5rem;
  margin-inline: auto;
  overflow: hidden;
  mask-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    rgba(0, 0, 0, 1) 20%,
    rgba(0, 0, 0, 1) 80%,
    rgba(0, 0, 0, 0)
  );
}

.element1 {
  animation-delay: calc(30s / 4 * (4 - 1) * -1);
}
.element2 {
  animation-delay: calc(30s / 4 * (4 - 2) * -1);
}
.element3 {
  animation-delay: calc(30s / 4 * (4 - 3) * -1);
}
.element4 {
  animation-delay: calc(30s / 4 * (4 - 4) * -1);
}

.scroll-element {
  position: absolute;
  width: 14rem;
  height: 5rem;
  left: max(calc(14rem * 4), 100%);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  animation-name: scroll-left;
  animation-duration: 30s;
  opacity: 0.7;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}
